Package com.avaya.clientservices.collaboration

## Class CollaborationDetails

- java.lang.Object
- - com.avaya.clientservices.collaboration.CollaborationDetails

-     public class CollaborationDetails
      extends java.lang.Object

  Collaboration Details composition of transmit and received statistics.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollaborationDetails()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CollaborationContentSharingMode` | `getCollaborationContentSharingMode()` | Returns collaboration content sharing mode.
    `MediaEncryptionType` | `getEncryptionType()` | Returns MediaEncryption mode.
    `CollaborationReceiveStatistics` | `getReceivedStatistics()` | Returns received Collaboration Statistics details.
    `DataSharingMode` | `getSharingMode()` | Returns data sharing mode.
    `CollaborationStatistics` | `getTransmitStatistics()` | Returns transmit Collaboration Statistics details.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollaborationDetails

          public CollaborationDetails()

  - ### Method Detail

    - #### getSharingMode

          public DataSharingMode getSharingMode()

      Returns data sharing mode.
      Returns:
        data sharing mode.

    - #### getEncryptionType

          public MediaEncryptionType getEncryptionType()

      Returns MediaEncryption mode.
      Returns:
        MediaEncryption mode.

    - #### getTransmitStatistics

          public CollaborationStatistics getTransmitStatistics()

      Returns transmit Collaboration Statistics details.
      Returns:
        transmit Collaboration Statistics details.

    - #### getReceivedStatistics

          public CollaborationReceiveStatistics getReceivedStatistics()

      Returns received Collaboration Statistics details.
      Returns:
        received Collaboration Statistics details.

    - #### getCollaborationContentSharingMode

          public CollaborationContentSharingMode getCollaborationContentSharingMode()

      Returns collaboration content sharing mode.
      Returns:
        collaboration content sharing mode.